/*---------------------------------------------------------------------------*/

/*!  \file  dxwrite.h
     \brief  output the position data as OpenDX format.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_DXWRITE_H
#define INCLUDE_DXWRITE_H

#include "particles.h"
#include "geometry.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  write particle positions to \a filename as OpenDX data format.
     \param  filename  file name
     \param  particles  soft particles to write
     \param  geometry  simulation box geometry  */
void write_positions_dx(char *filename,soft_particles *particles,
                        box_geometry *geometry);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
