/*---------------------------------------------------------------------------*/

/*!  \file  simulator.h
     \brief  a simple brownian dynamics simulator.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_SIMULATOR_H
#define INCLUDE_SIMULATOR_H

#include "condition.h"
#include "iofiles.h"
#include "geometry.h"
#include "blend.h"
#include "particles.h"

/*--------------------------------------------------------------------------*/
/*!  \brief  do a brownian dynamics simulation.
     \param  condition  simulation condition
     \param  iofiles  simulation iofiles
     \param  geometry  geometry of the box
     \param  blend  polymer blend
     \param  particles  soft particles  */
int simulate(simulation_condition *condition,
             simulation_iofiles *iofiles,
             box_geometry *geometry,
             polymer_blend *blend,
             soft_particles *particles);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
